Skip to main content
PATCH
/
api
/
v1
/
apps
/
{app_id}
Update App
curl --request PATCH \
  --url https://backend.revyl.ai/api/v1/apps/{app_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "static_url": "<string>",
  "current_version": "<string>",
  "description": "<string>",
  "system_prompt": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "platform": "<string>",
  "static_url": "<string>",
  "current_version": "<string>",
  "description": "<string>",
  "system_prompt": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "latest_version": "<string>",
  "versions_count": 0,
  "latest_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "current_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "attached_tests": 0,
  "pinned_tests": 0,
  "recent_executions": 0,
  "rolling_pass_rate": 123,
  "attribution_ready": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

Body

application/json

Request model for updating an app.

name
string | null

App name

static_url
string | null

Static URL for legacy web builds

current_version
string | null

Current version pointer

description
string | null

Description

system_prompt
string | null

App-level system prompt injected into LLM calls

Response

Successful Response

Response model for an app.

id
string<uuid> | null
org_id
string<uuid> | null
name
string | null
platform
string | null
static_url
string | null
current_version
string | null
description
string | null
system_prompt
string | null
created_at
string<date-time> | null
latest_version
string | null
versions_count
integer | null
default:0
latest_build_id
string<uuid> | null
current_build_id
string<uuid> | null
attached_tests
integer | null
default:0
pinned_tests
integer | null
default:0
recent_executions
integer | null
default:0
rolling_pass_rate
number | null
attribution_ready
boolean | null
default:false